Skip to main content
`Ctrl`+`K`

# PetscGetWorkingDirectory

Gets the current working directory.

## Synopsis

    PetscErrorCode PetscGetWorkingDirectory(char path[], size_t len)

Not Collective

## Input Parameter

- len - maximum length of `path`

## Output Parameter

- path - holds the result value. The string should be long enough to hold the path, for example, `PETSC_MAX_PATH_LEN`

## See Also

`PetscGetTmp()`, `PetscSharedTmp()`, `PetscSharedWorkingDirectory()`, `PetscGetHomeDirectory()`

## Level

developer

## Location

src/sys/fileio/fwd.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages